-- 3.5.84 Power
-- Справочник материалов подкосов опор
CREATE TABLE DictSupportKneeMaterials
(
	ID int IDENTITY(1,1),
	Description		nvarchar(128) NOT NULL,
	Hidden			bit,
	PRIMARY KEY (ID)
)
exec sp_addextendedproperty 'MS_Description', N'Справочник материалов подкосов опор', 'user', 'dbo', 'Table', 'DictSupportKneeMaterials'
exec sp_addextendedproperty 'MS_Description', N'Код типа материала', 'user', 'dbo', 'Table', 'DictSupportKneeMaterials', 'Column', 'ID'
exec sp_addextendedproperty 'MS_Description', N'Описание материала', 'user', 'dbo', 'Table', 'DictSupportKneeMaterials', 'Column', 'Description'
GO
-- Добавим 'Справочник материалов подкосов опор' в список отображаемых справочников
INSERT INTO Dicts(DictID,Description,TableName,KeyField,DescField) 
	VALUES (143,'Материалы подкосов опор','DictSupportKneeMaterials','ID','Description')
GO
-- Заполним 'Справочник материалов подкосов опор'
SET IDENTITY_INSERT DictSupportKneeMaterials ON
INSERT INTO DictSupportKneeMaterials(ID,Description) VALUES(1,'дерево')
INSERT INTO DictSupportKneeMaterials(ID,Description) VALUES(2,'железобетон')
SET IDENTITY_INSERT DictSupportKneeMaterials OFF
GO
-- Изменим таблицу 'Опора'
UPDATE Опора SET Материал_подкосов = NULL WHERE Материал_подкосов = 0
GO
ALTER TABLE Опора
	ADD CONSTRAINT Support_KneeMaterials_fk FOREIGN KEY (Материал_подкосов)
		REFERENCES DictSupportKneeMaterials